tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Henri Gomez <hgo...@apache.org>
Subject Re: [JK2] RedHat 8.0 JNI totaly bogus
Date Thu, 24 Oct 2002 09:45:39 GMT
Mladen Turk wrote:
> 
>>-----Original Message-----
>>From: Henri Gomez
>>
>>I didn't tried RH 8.0 yet, but the experience I've got from 
>>RH 7.2 with JNI make me some serious headaches.
>>
>>Before launching Apache 2.0 you need :
>>
>>1) set the LD_LIBRARY_PATH
>>
>>export LD_LIBRARY_PATH=$jre/bin:$jre/bin/classic:$LD_LIBRARY_PATH
>>
> 
> 
> Thanks man, that's the cache!

Did it works now ?

> For 1.4.1/RH8:
> export
> LD_LIBRARY_PATH=$JAVA_HOME/jre/lib/i386:$JAVA_HOME/jre/lib/i386/client:$
> LD_LIBRARY_PATH
> 
> 
>>2) make JDK use the non floating stacks
>>
>>export LD_ASSUME_KERNEL=2.2.5
>>
> 
> 
> 
> No need for that to start the JVM, but will check how it works.

There is good information about floating stack in IBM SDK

> But important:
> 'which java' _must_ point to the jre/bin/java so jre's path has to
> precede jdk one, like  $JAVA_HOME/jre/bin:$JAVA_HOME/bin  

Are you using IBM, Sun or Blackdown SDK ?



--
To unsubscribe, e-mail:   <mailto:tomcat-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-dev-help@jakarta.apache.org>


Mime
View raw message